Discover our new Jocly Hub


Install DownloadHelper version 4.9.9

To install this version of DownloadHelper, drag the link below to the address bar of your browser.

Remember you can always switch back to the official version by reinstalling the extension from the installation page. There is no need to uninstall version 4.9.9first.

If you get the error
Firefox could not install the file at http://www.downloadhelper.net/install-beta.php?version=xxx.xpi because: Not a valid install package -207
you may try to clear the browser's cache (browser's preferences / Advanced / Tab Network) and this should work again.